import { serializeObjectKey, unserializeObjectKey } from './utils';
export function getQueryParams() {
    const params = new URLSearchParams(window.location.search);
    const result = {};
    for (const [key, value] of params.entries()) {
        result[key] = value;
    }
    return unserializeObjectKey(result);
}
export function setQueryParams(data) {
    const params = new URLSearchParams();
    const flattedObj = serializeObjectKey(data);
    Object.entries(flattedObj).forEach(([key, value]) => params.append(key, value));
    const newUrl = `${window.location.pathname}?${params}`;
    window.history.replaceState(history.state, '', newUrl);
}
